## CamelIMAPXStore CamelIMAPXStore |

## Functions

CamelIMAPXServer * | camel_imapx_store_ref_server ()
CamelFolderQuotaInfo * | camel_imapx_store_dup_quota_info ()
void | camel_imapx_store_set_quota_info ()

## Signals

void | mailbox-created | Run First
void | mailbox-renamed | Run First
void | mailbox-updated | Run First

## Types and Values

struct | CamelIMAPXStore

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelService
                ╰── CamelStore
                    ╰── CamelOfflineStore
                        ╰── CamelIMAPXStore

## Implemented Interfaces

CamelIMAPXStore implements GInitable, CamelNetworkService and CamelSubscribable.

## Description

## Functions

### camel_imapx_store_ref_server ()

    CamelIMAPXServer *
    camel_imapx_store_ref_server (CamelIMAPXStore *store,
                                  const gchar *folder_name,
                                  gboolean for_expensive_job,
                                  GCancellable *cancellable,
                                  GError **error);

Returns the CamelIMAPXServer for `store` , if available.

As a convenience, if the `store` is not currently connected to an IMAP server, the function sets `error` to `CAMEL_SERVER_ERROR_UNAVAILABLE` and returns `NULL`. If an operation can possibly be executed while offline, pass `NULL` for `error` .

The returned CamelIMAPXServer is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

store | a CamelIMAPXStore |
folder_name | name of a folder, for which it'll be used; can be `NULL` |
cancellable | a GCancellable to use ofr possible new connection creation, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

a CamelIMAPXServer, or `NULL`

Since: 3.10

### camel_imapx_store_dup_quota_info ()

    CamelFolderQuotaInfo *
    camel_imapx_store_dup_quota_info (CamelIMAPXStore *store,
                                      const gchar *quota_root_name);

### camel_imapx_store_set_quota_info ()

    void
    camel_imapx_store_set_quota_info (CamelIMAPXStore *store,
                                      const gchar *quota_root_name,
                                      const CamelFolderQuotaInfo *info);

## Types and Values

### struct CamelIMAPXStore

    struct CamelIMAPXStore;

## Signal Details

### The `“mailbox-created”` signal

    void
    user_function (CamelIMAPXStore   *camelimapxstore,
                   CamelIMAPXMailbox *arg1,
                   gpointer           user_data)

Flags: Run First

### The `“mailbox-renamed”` signal

    void
    user_function (CamelIMAPXStore   *camelimapxstore,
                   CamelIMAPXMailbox *arg1,
                   gchar             *arg2,
                   gpointer           user_data)

Flags: Run First

### The `“mailbox-updated”` signal

    void
    user_function (CamelIMAPXStore   *camelimapxstore,
                   CamelIMAPXMailbox *arg1,
                   gpointer           user_data)

Flags: Run First